=== debian/changelog ===
papi (7.2.0~b2-1) experimental; urgency=medium

  * New upstream beta.
  * Refresh patches.
  * Bump libpfm4-dev B-D to >= 4.13.0+git83.
  * Fix FTBFS with GCC 15.  (Closes: #1097543)
  * Bump Standards-Version to 4.7.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 26 Mar 2025 22:19:47 +0100

papi (7.2.0~b1-2) experimental; urgency=medium

  * Bump SONAME to libpapi.so.7.2.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 26 Dec 2024 22:47:47 +0100

papi (7.2.0~b1-1) experimental; urgency=medium

  * New upstream beta.
  * Refresh patches.
  * Bump libpfm4-dev B-D to >= 4.13.0+git59.
  * Update watch file.
  * Bump Standards-Version to 4.7.0. No changes needed.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Dec 2024 00:42:28 +0100
