=== debian/changelog ===
papi (7.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Aug 2025 02:29:23 +0200

papi (7.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Fix building rocm tests with hipcc.
  * Bump libpfm4-dev B-D to >= 4.13.0+git101.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 10:00:16 +0200
