=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  gfortran,
- libpfm4-dev (>= 4.13.0+git83) [linux-any],
+ hipcc [amd64 arm64 ppc64el],
+ libpfm4-dev (>= 4.13.0+git101) [linux-any],
  librocm-smi-dev [!x32 !hurd-any],
  mpi-default-dev,
 # prevent accidental backports after the 64-bit time_t transition
