=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

PAPI-SOVERSION		 = 7.2
PAPI-SOSUFFIX		 = $(PAPI-SOSUFFIX-$(PAPI-SOVERSION))
SDE-SOVERSION		 = 1
SDE-SOSUFFIX		 = $(SDE-SOSUFFIX-$(SDE-SOVERSION))
SDE-SOSUFFIX-1		 = t64

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH),ppc64el)
    DEB_BUILD_MAINT_OPTIONS += optimize=-lto
endif

DPKG_EXPORT_BUILDFLAGS	 = yes
include /usr/share/dpkg/buildflags.mk

# Upstream does not use CPPFLAGS
CFLAGS	+= $(CPPFLAGS)

export PAPI_ROCM_ROOT=/usr
export PAPI_ROCMSMI_ROOT=$(PAPI_ROCM_ROOT)

COMPONENTS	 = sde
COMPONENTS	+= $(if $(wildcard /usr/include/rocm_smi/rocm_smi.h),rocm_smi)

%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=src -- \
		--with-static-lib=yes \
		--with-shared-lib=yes \
		--with-shlib-tools \
		--with-components="$(COMPONENTS)" \
		--with-perf-events \
		--with-pfm-incdir=/usr/include \
		--with-pfm-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		CC=$(CC)

override_dh_auto_test:
	-env LD_LIBRARY_PATH=$(CURDIR)/src:$(LD_LIBRARY_PATH) dh_auto_test

override_dh_auto_install:
	mkdir -p debian/tmp/usr/bin
	dh_auto_install --sourcedirectory=src -- install-all
	mv debian/tmp/usr/bin/papi_hl_output_writer.py debian/tmp/usr/bin/papi_hl_output_writer
	# delete example binaries
	find debian/tmp/usr/share/papi -perm -100 -type f -delete
	find debian/tmp/usr/share/papi -name \*.a -type f -delete
	# for reproducibility
	find debian/tmp/usr/share/papi -name Makefile\* -type f -print0 | \
		xargs -0r sed -i -e 's@ [^ ]*-f\(file\|debug\)-prefix-map=[^ ]*@@g'

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_makeshlibs:
	dh_makeshlibs -a -- -c4

override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

override_dh_installchangelogs:
	dh_installchangelogs RELEASENOTES.txt

override_dh_gencontrol:
	dh_gencontrol -- \
		-V'papi:SOVERSION=$(PAPI-SOVERSION)' \
		-V'papi:SOSUFFIX=$(PAPI-SOSUFFIX)' \
		-V'sde:SOVERSION=$(SDE-SOVERSION)' \
		-V'sde:SOSUFFIX=$(SDE-SOSUFFIX)' \


TEMPLATES	:= $(wildcard debian/libpapiSOVERSION.* debian/libsdeSOVERSION.*)
GENERATED	 = $(subst libpapiSOVERSION,libpapi$(PAPI-SOVERSION)$(PAPI-SOSUFFIX),\
		   $(subst libsdeSOVERSION,libsde$(SDE-SOVERSION)$(SDE-SOSUFFIX),\
		   $(TEMPLATES)\
		   ))

libpapi$(PAPI-SOVERSION)$(PAPI-SOSUFFIX).%: libpapiSOVERSION.%
	sed 's/@SOVERSION@/$(PAPI-SOVERSION)/g' $< > $@

libsde$(SDE-SOVERSION)$(SDE-SOSUFFIX).%: libsdeSOVERSION.%
	sed 's/@SOVERSION@/$(SDE-SOVERSION)/g' $< > $@

build-generated: $(GENERATED) ;
clean-generated:
	$(RM) $(GENERATED)

override_dh_auto_configure: build-generated
clean: clean-generated
