=== debian/tests/control ===
Tests: compile-examples
Depends:
 papi-examples,
 g++,
 gfortran,
 libpfm4-dev,
 make,
 mpi-default-dev,
Restrictions:
 allow-stderr,
 superficial,
