=== debian/watch ===
version=4

opts="uversionmangle=s/-/./g;s/(b)/~$1/" \
https://github.com/icl-utk-edu/papi/tags \
(?:.*?/)?@PACKAGE@-@ANY_VERSION@-t@ARCHIVE_EXT@
